Type to search.

Add scheduled events to the calendar

Auth The Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats. Availability Generally available since 6.2 This functionality is generally available and ready for production usage. Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments. This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes.

Required privileges

Cluster privileges manage_ml

Path parameters

calendar_id string required

A string that uniquely identifies a calendar.

Request body

events object[] required

A list of one of more scheduled events. The event’s start and end times can be specified as integer milliseconds since the epoch or as a string in ISO 8601 format.

calendar_id string

A string that uniquely identifies a calendar.

event_id string
description string required

A description of the scheduled event.

end_time union oneOf required

The timestamp for the end of the scheduled event in milliseconds since the epoch or ISO 8601 format.

One of: string or number
start_time union oneOf required

The timestamp for the beginning of the scheduled event in milliseconds since the epoch or ISO 8601 format.

One of: string or number
skip_result boolean · default: true

When true the model will not create results for this calendar period.

skip_model_update boolean · default: true

When true the model will not be updated for this calendar period.

force_time_shift number

Shift time by this many seconds. For example adjust time for daylight savings changes

Response

application/json
events object[] required
calendar_id string

A string that uniquely identifies a calendar.

event_id string
description string required

A description of the scheduled event.

end_time union oneOf required

The timestamp for the end of the scheduled event in milliseconds since the epoch or ISO 8601 format.

One of: string or number
start_time union oneOf required

The timestamp for the beginning of the scheduled event in milliseconds since the epoch or ISO 8601 format.

One of: string or number
skip_result boolean · default: true

When true the model will not create results for this calendar period.

skip_model_update boolean · default: true

When true the model will not be updated for this calendar period.

force_time_shift number

Shift time by this many seconds. For example adjust time for daylight savings changes